Web   ·   Wiki   ·   Activities   ·   Blog   ·   Lists   ·   Chat   ·   Meeting   ·   Bugs   ·   Git   ·   Translate   ·   Archive   ·   People   ·   Donate
summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBernie Innocenti <bernie@codewiz.org>2010-05-23 19:29:11 (GMT)
committer Anish Mangal <anish@sugarlabs.org>2011-09-19 13:27:48 (GMT)
commita1bf390436d253d2fe290aff03da954819af9f6a (patch)
tree7407a50f693669e14b6718de66eda2961ec2e89d
parentf65f73a0786dfaefc810cc217c1a5d78f1f5e711 (diff)
Do not adjust dates of activities
By resetting all the dates, we'd break the new-to-old ordering in the list view. The initial order would be reverse-alphabetic and would start to break as users installed or updated some activities.
-rw-r--r--modules/base/preimage.90.core.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/modules/base/preimage.90.core.sh b/modules/base/preimage.90.core.sh
index bc8ba2a..9ee3faf 100644
--- a/modules/base/preimage.90.core.sh
+++ b/modules/base/preimage.90.core.sh
@@ -100,7 +100,7 @@ find $fsmount/usr/share -xdev -name "*.py[oc]" -delete
# normalize mtimes of all files
echo "Normalize file times..."
-find $fsmount -xdev -print0 | xargs -0 touch -h -c -d "$OLPC_EPOCH" || :
+find $fsmount -xdev -path $fsmount/home/olpc/Activities -prune -o -print0 | xargs -0 touch -h -c -d "$OLPC_EPOCH" || :
# fails to compile due to "..."
rm -f $fsmount/usr/lib/python2.7/lib2to3/tests/data/py3_test_grammar.py*
@@ -109,7 +109,7 @@ rm -f $fsmount/usr/lib/python2.7/lib2to3/tests/data/py3_test_grammar.py*
# (add -OO to generate .pyo files instead when we tackle dlo trac #8431)
echo "Compiling python bytecode..."
chroot $fsmount python -m compileall /usr/lib /usr/share > /dev/null
-# now we have to normalize the mtimes of the new pyc/pyo files, but we'll do
+# now we have to normalize the mtimes of the new pyc/pyo files, but we'll do
# that after we've finished making other fs changes below
if [ "$versioned_fs" = "1" ]; then
@@ -137,7 +137,7 @@ fi
# now normalize mtimes again
echo "Normalize file times..."
-find $fsmount -xdev -print0 | xargs -0 touch -h -c -d "$OLPC_EPOCH" || :
+find $fsmount -xdev -path $fsmount/home/olpc/Activities -prune -o -print0 | xargs -0 touch -h -c -d "$OLPC_EPOCH" || :
# now that we've generated the .contents file, its important that nobody
# makes any more changes to the files. let's try and be sure of that